<?php

/**
 * @file
 * Dashboard state template.
 * - If user hasn't built first email, show first email promotion message.
 * - If user has built first email, show next email promotion message.
 * - If sync has been failed, show error message.
 */
?>
<div class="cr-container">
    <input type="hidden" id="cr-build-email-url" value="<?php print $urls['built_email_url']; ?>">
    <input type="hidden" id="cr-build-first-email-url" value="<?php print $urls['built_first_email_url']; ?>">
    <input type="hidden" id="cr-retry-sync-url" value="<?php print $urls['retry_sync_url']; ?>">

    <div class="cr-tab-wrapper">
        <div class="cr-dashboard-tab-wrapper">
            <button class="cr-dashboard-tab" tabindex="0" role="button"><?php print t('Dashboard'); ?></button>
        </div>
        <div class="cr-pull-right">
            <a href="<?php print $urls['help_url']; ?>" target="_blank"><?php print t('Help & Support'); ?></a>
            <p class="cr-id"><?php print t('CleverReach® ID'); ?>: <?php print $recipient_id; ?></p>
        </div>
    </div>

    <div class="cr-content-window-wrapper">
        <div class="cr-content-window">
            <img class="cr-icon" src="<?php print $urls['logo_url']; ?>" />
            <h3>
                <?php
                if ($is_initial_sync_failed):
                ?>
                    <?php print t('An error occurred!'); ?>
                <?php
                else:
                ?>
                    <?php print t('Targeted email marketing for more revenue!'); ?>
                <?php
                endif;
                ?>
            </h3>
            <div class="cr-dashboard-text-wrapper cr-main-text">
                <?php
                if ($is_initial_sync_failed):
                ?>
                    <?php print t('Error description'); ?>: <?php print $initial_sync_failed_message; ?> <br />
                    <a target="_blank" href="<?php print $urls['help_url']; ?>"><?php print t('Help & Support'); ?></a>
                <?php
                else:
                ?>
                    <?php print t('Targeted email marketing for more readers in your Drupal CMS'); ?>. <br />
                    <?php print t('Create appealing emails to showcase your articles to your readers'); ?>.
                <?php
                endif;
                ?>
            </div>
            <?php
            if ($is_initial_sync_failed):
            ?>
                <a class="cr-action-buttons-wrapper cr-primary" id="cr-retrySync" tabindex="0" role="button">
                    <?php print t('Retry synchronization now'); ?>
                </a>
            <?php
            else:
            ?>
                <a class="cr-action-buttons-wrapper cr-primary" id="cr-buildEmail" tabindex="0" role="button">
                    <?php
                    if ($is_built_first_email):
                    ?>
                        <?php print t('Create your next newsletter now!'); ?> →
                    <?php
                    else:
                    ?>
                        <?php print t('Create your first newsletter'); ?> →
                    <?php
                    endif;
                    ?>
                </a>
            <?php
            endif;
            ?>
        </div>
    </div>
</div>
